Bug 533803 - Review Request: libcue - CUE sheet parser library
Review Request: libcue - CUE sheet parser library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-09 04:52 EST by Peter Lemenkov
Modified: 2009-12-09 23:03 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.3.0-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 23:15:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-11-09 04:52:33 EST
Spec URL: http://peter.fedorapeople.org/libcue.spec
SRPM URL: http://peter.fedorapeople.org/libcue-1.3.0-1.fc11.src.rpm
Description: Libcue is intended to parse a so called cue sheet from a char string or a file pointer. For handling of the parsed data a convenient API is available.

rpmlint output:

[petro@Sulaco SPECS]$ rpmlint ../RPMS/ppc/libcue-*
libcue.ppc: W: shared-lib-calls-exit /usr/lib/libcue.so.1.0.3 exit@GLIBC_2.0
libcue-devel.ppc: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

koji scratchbuild for F-11:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1795571

This package is a requirement for CUE support in MPD.
Comment 1 Michael Schwendt 2009-11-14 04:19:05 EST
* "Group" tag of base package should be: System Environment/Libraries


* Source URL points at a web page instead of the source tarball. Use this (it follows the guidelines, too):
http://downloads.sourceforge.net/libcue/libcue-%{version}.tar.bz2


> %description
> Libcue is intended to parse a so called [...]

Correct English IMO would be:  Libcue is intended for parsing a so-called [...]


> W: shared-lib-calls-exit /usr/lib/libcue.so.1.0.3 exit@GLIBC_2.0

Not good, since this is a library. Libraries ought to return error values instead of terminating the process. This exit call is in a fatal error function inside the generated flex scanner code.


* Two source files rem.c and rem.h contain a BSD license header and the name of the current developer. According to Fedora's Licensing Guidelines, this must be reflected in the "License" tag plus a comment in the spec file:

  # Files libcue/rem.{c,h} contain a BSD header
  License: GPLv2 and BSD

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

The project's file "COPYING" comments on the two licences and explicitly acknowledges that the whole libcue project uses the GPLv2. Preferably, the current developer removes the ambiguity and explicitly applies the GPLv2 inside the rem.c/rem.h files, too.
Comment 2 Peter Lemenkov 2009-11-23 05:13:47 EST
Fi(In reply to comment #1)
> * "Group" tag of base package should be: System Environment/Libraries

Fixed.

> * Source URL points at a web page instead of the source tarball. Use this (it
> follows the guidelines, too):
> http://downloads.sourceforge.net/libcue/libcue-%{version}.tar.bz2

Fixed.

> > %description
> > Libcue is intended to parse a so called [...]
> 
> Correct English IMO would be:  Libcue is intended for parsing a so-called [...]

Fixed.

> > W: shared-lib-calls-exit /usr/lib/libcue.so.1.0.3 exit@GLIBC_2.0
> 
> Not good, since this is a library. Libraries ought to return error values
> instead of terminating the process. This exit call is in a fatal error function
> inside the generated flex scanner code.

I'll sent a message upstream regarding this issue.

> * Two source files rem.c and rem.h contain a BSD license header and the name of
> the current developer. According to Fedora's Licensing Guidelines, this must be
> reflected in the "License" tag plus a comment in the spec file:
> 
>   # Files libcue/rem.{c,h} contain a BSD header
>   License: GPLv2 and BSD

Fixed.

http://peter.fedorapeople.org/libcue.spec
http://peter.fedorapeople.org/libcue-1.3.0-2.fc12.src.rpm
Comment 3 Michael Schwendt 2009-11-23 05:36:23 EST
With those changes, libcue-1.3.0-2.fc12.src.rpm is good to go:

APPROVED

[...]

Note that in Fedora 10 and newer you can omit:

* the BuildRoot tag
* removal of buildroot at beginning of %install
* the entire %clean section

Plus in current Fedora 11 and later, there are automatic pkgconfig dependencies. So on those platforms, the "Requires: pkgconfig" is redundant.
Comment 4 Peter Lemenkov 2009-11-23 05:58:00 EST
Thanks!

(In reply to comment #3)
> With those changes, libcue-1.3.0-2.fc12.src.rpm is good to go:

> Note that in Fedora 10 and newer you can omit:
> 
> * the BuildRoot tag
> * removal of buildroot at beginning of %install
> * the entire %clean section
> 
> Plus in current Fedora 11 and later, there are automatic pkgconfig
> dependencies. So on those platforms, the "Requires: pkgconfig" is redundant.  

I plan to provide libcue for EPEL too, so in order to simplify maintenance, I won't delete all these redundant tags, at least until EPEL will get our new rpm and support for EL-5 will be dropped :)

New Package CVS Request
=======================
Package Name: libcue
Short Description: Cue sheet parser library
Owners: peter
Branches: F-11 F-12 EL-4 EL-5
InitialCC:
Comment 5 Kevin Fenzi 2009-11-23 21:10:31 EST
cvs done.
Comment 6 Fedora Update System 2009-11-24 01:52:36 EST
libcue-1.3.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libcue-1.3.0-2.el5
Comment 7 Fedora Update System 2009-11-24 01:52:42 EST
libcue-1.3.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libcue-1.3.0-2.fc12
Comment 8 Fedora Update System 2009-11-24 01:52:47 EST
libcue-1.3.0-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/libcue-1.3.0-2.el4
Comment 9 Fedora Update System 2009-11-24 01:52:52 EST
libcue-1.3.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libcue-1.3.0-2.fc11
Comment 10 Fedora Update System 2009-11-24 14:24:18 EST
libcue-1.3.0-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcue'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0899
Comment 11 Fedora Update System 2009-11-24 14:24:53 EST
libcue-1.3.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcue'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0904
Comment 12 Fedora Update System 2009-11-25 10:13:10 EST
libcue-1.3.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcue'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12113
Comment 13 Fedora Update System 2009-11-25 10:33:31 EST
libcue-1.3.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcue'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12194
Comment 14 Fedora Update System 2009-11-30 23:15:21 EST
libcue-1.3.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-11-30 23:22:09 EST
libcue-1.3.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-12-09 23:02:29 EST
libcue-1.3.0-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-12-09 23:03:06 EST
libcue-1.3.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.